Bug 837656 - [abrt] gnome-settings-daemon-3.4.2-3.fc17: engine_get_icon_priv: Process /usr/libexec/gnome-settings-daemon was killed by signal 11 (SIGSEGV)
[abrt] gnome-settings-daemon-3.4.2-3.fc17: engine_get_icon_priv: Process /usr...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: gnome-settings-daemon (Show other bugs)
17
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Bastien Nocera
Fedora Extras Quality Assurance
abrt_hash:eba16db3ec20ca75906915b7851...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-07-04 11:20 EDT by D. Charles Pyle
Modified: 2013-07-31 16:48 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-31 16:48:46 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (25.95 KB, text/plain)
2012-07-04 11:20 EDT, D. Charles Pyle
no flags Details
File: maps (91.20 KB, text/plain)
2012-07-04 11:20 EDT, D. Charles Pyle
no flags Details
File: dso_list (14.36 KB, text/plain)
2012-07-04 11:20 EDT, D. Charles Pyle
no flags Details
File: build_ids (5.89 KB, text/plain)
2012-07-04 11:20 EDT, D. Charles Pyle
no flags Details

  None (edit)
Description D. Charles Pyle 2012-07-04 11:20:36 EDT
libreport version: 2.0.10
abrt_version:   2.0.10
backtrace_rating: 4
cmdline:        /usr/libexec/gnome-settings-daemon
crash_function: engine_get_icon_priv
executable:     /usr/libexec/gnome-settings-daemon
kernel:         3.4.4-3.fc17.x86_64
pid:            1520
time:           Wed 04 Jul 2012 09:09:43 AM MDT
uid:            1000
username:       dcpyle

backtrace:      Text file, 26571 bytes
build_ids:      Text file, 6027 bytes
dso_list:       Text file, 14704 bytes
maps:           Text file, 93390 bytes

cgroup:
:9:perf_event:/
:8:blkio:/
:7:net_cls:/
:6:freezer:/
:5:devices:/
:4:memory:/
:3:cpuacct,cpu:/
:2:cpuset:/
:1:name=systemd:/user/dcpyle/2

comment:
:Visited https://extensions.gnome.org/extension/233/inhibit-applet/ website and installed the inhibit-applet.
:
:Checked the power battery item and after no longer displaying false information about the battery life, the gnome-settings-daemon crashed.

core_backtrace:
:3d9dc3ea12529329e3ef0e9de54de1a46789d7f6 0xaeb2 - libpower.so -
:3d9dc3ea12529329e3ef0e9de54de1a46789d7f6 0xb2a5 - libpower.so -
:3d9dc3ea12529329e3ef0e9de54de1a46789d7f6 0xb503 - libpower.so -
:6ffd106c467fc2bbbe04c9509d66f7d97d2a751f 0xba9a7 - libgio-2.0.so.0 -
:e5945f7dae3fc83ad499da1ea5a464bfa0e68202 0x476e5 g_main_context_dispatch libglib-2.0.so.0 -
:e5945f7dae3fc83ad499da1ea5a464bfa0e68202 0x47a18 - libglib-2.0.so.0 -
:e5945f7dae3fc83ad499da1ea5a464bfa0e68202 0x47e12 g_main_loop_run libglib-2.0.so.0 -
:710b0d8cc36603d66327090defd37c99daa38f28 0x179d65 gtk_main libgtk-3.so.0 -
:e8fd0879fec2a72484ce0a27dfb5fcb608eeaf71 0x392a main [exe] -

environ:
:XDG_VTNR=1
:XDG_SESSION_ID=2
:IMSETTINGS_INTEGRATE_DESKTOP=yes
:SHELL=/bin/bash
:TERM=dumb
:HISTSIZE=1000
:QTDIR=/usr/lib64/qt-3.3
:GNOME_KEYRING_CONTROL=/run/user/dcpyle/keyring-BZkvkv
:QTINC=/usr/lib64/qt-3.3/include
:QT_GRAPHICSSYSTEM_CHECKED=1
:IMSETTINGS_MODULE=none
:PATH=/usr/lib64/qt-3.3/bin:/usr/lib64/ccache:/usr/local/bin:/usr/bin:/bin:/usr/local/sbin:/usr/sbin:/home/dcpyle/.local/bin:/home/dcpyle/bin
:DESKTOP_SESSION=gnome
:QT_IM_MODULE=xim
:XMODIFIERS=@im=none
:KDE_IS_PRELINKED=1
:GNOME_KEYRING_PID=1338
:LANG=en_US.utf8
:GDM_LANG=en_US.utf8
:KDEDIRS=/usr
:GDMSESSION=gnome
:SSH_ASKPASS=/usr/libexec/openssh/gnome-ssh-askpass
:HISTCONTROL=ignoredups
:XDG_SEAT=seat0
:SHLVL=1
:QTLIB=/usr/lib64/qt-3.3/lib
:CVS_RSH=ssh
:DBUS_SESSION_BUS_ADDRESS=unix:abstract=/tmp/dbus-k7qkugwmgd,guid=f6f70d0b9cdfd402a942269a0000002a
:'LESSOPEN=||/usr/bin/lesspipe.sh %s'
:WINDOWPATH=1
:
:DISPLAY=:0
:QT_PLUGIN_PATH=/usr/lib64/kde4/plugins:/usr/lib/kde4/plugins
:CCACHE_HASHDIR=
:XAUTHORITY=/var/run/gdm/auth-for-dcpyle-lxQSf6/database
:_=/usr/bin/gnome-session
:GNOME_DESKTOP_SESSION_ID=this-is-deprecated
:SESSION_MANAGER=local/unix:@/tmp/.ICE-unix/1340,unix/unix:/tmp/.ICE-unix/1340
:DESKTOP_AUTOSTART_ID=106c68554066d5cfd8134141332617793700000013400001

limits:
:Limit                     Soft Limit           Hard Limit           Units     
:Max cpu time              unlimited            unlimited            seconds   
:Max file size             unlimited            unlimited            bytes     
:Max data size             unlimited            unlimited            bytes     
:Max stack size            8388608              unlimited            bytes     
:Max core file size        0                    unlimited            bytes     
:Max resident set          unlimited            unlimited            bytes     
:Max processes             1024                 31457                processes 
:Max open files            1024                 4096                 files     
:Max locked memory         65536                65536                bytes     
:Max address space         unlimited            unlimited            bytes     
:Max file locks            unlimited            unlimited            locks     
:Max pending signals       31457                31457                signals   
:Max msgqueue size         819200               819200               bytes     
:Max nice priority         0                    0                    
:Max realtime priority     0                    0                    
:Max realtime timeout      unlimited            unlimited            us        

open_fds:
:0:/dev/null
:pos:	0
:flags:	0100000
:1:/home/dcpyle/.xsession-errors
:pos:	54296
:flags:	0102002
:2:/home/dcpyle/.xsession-errors
:pos:	54296
:flags:	0102002
:3:socket:[23283]
:pos:	0
:flags:	02004002
:4:anon_inode:[eventfd]
:pos:	0
:flags:	02004002
:5:anon_inode:[eventfd]
:pos:	0
:flags:	02004002
:6:socket:[24205]
:pos:	0
:flags:	02004002
:7:socket:[23287]
:pos:	0
:flags:	02004002
:8:anon_inode:[eventfd]
:pos:	0
:flags:	02004002
:9:anon_inode:[eventfd]
:pos:	0
:flags:	02004002
:10:socket:[24233]
:pos:	0
:flags:	02004002
:11:socket:[24210]
:pos:	0
:flags:	02004002
:12:socket:[24211]
:pos:	0
:flags:	02004002
:13:anon_inode:inotify
:pos:	0
:flags:	02004000
:14:anon_inode:[eventfd]
:pos:	0
:flags:	02004002
:15:anon_inode:inotify
:pos:	0
:flags:	02004000
:16:socket:[23458]
:pos:	0
:flags:	02004002
:17:socket:[23358]
:pos:	0
:flags:	02004002
:18:/dev/urandom
:pos:	0
:flags:	02100000
:19:socket:[24277]
:pos:	0
:flags:	02000002
:20:socket:[23427]
:pos:	0
:flags:	02000002

smolt_data:
:
:
:General
:=================================
:UUID: 983de9fb-8837-45d2-b057-351d6f8b2d46
:OS: Fedora release 17 (Beefy Miracle)
:Default run level: Unknown
:Language: en_US.utf8
:Platform: x86_64
:BogoMIPS: 6383.87
:CPU Vendor: GenuineIntel
:CPU Model: Pentium(R) Dual-Core  CPU      E6700  @ 3.20GHz
:CPU Stepping: 10
:CPU Family: 6
:CPU Model Num: 23
:Number of CPUs: 2
:CPU Speed: 3191
:System Memory: 3954
:System Swap: 6015
:Vendor: Dell Inc.
:System: Inspiron 560 00
:Form factor: Desktop
:Kernel: 3.4.4-3.fc17.x86_64
:SELinux Enabled: 1
:SELinux Policy: targeted
:SELinux Enforce: Enforcing
:MythTV Remote: Unknown
:MythTV Role: Unknown
:MythTV Theme: Unknown
:MythTV Plugin: 
:MythTV Tuner: -1
:
:
:Devices
:=================================
:(32902:14902:4136:1081) pci, uhci_hcd, USB, 82801JI (ICH10 Family) USB UHCI Controller #3
:(32902:14916:4136:1081) pci, pcieport, PCI/PCI, 82801JI (ICH10 Family) PCI Express Root Port 3
:(32902:14882:4136:1081) pci, ahci, STORAGE, 82801JI (ICH10 Family) SATA AHCI Controller
:(32902:14912:4136:1081) pci, pcieport, PCI/PCI, 82801JI (ICH10 Family) PCI Express Root Port 1
:(32902:14870:4136:1081) pci, None, PCI/ISA, 82801JIR (ICH10R) LPC Interface Controller
:(4098:26814:4163:824) pci, radeon, VIDEO, Juniper [Radeon HD 5750 Series]
:(5361:23418:112:29764) pci, cx18, MULTIMEDIA_VIDEO, WinTV HVR-1600
:(32902:14910:4136:1081) pci, snd_hda_intel, MULTIMEDIA, 82801JI (ICH10 Family) HD Audio Controller
:(32902:14901:4136:1081) pci, uhci_hcd, USB, 82801JI (ICH10 Family) USB UHCI Controller #2
:(32902:14896:4136:1081) pci, i801_smbus, SERIAL, 82801JI (ICH10 Family) SMBus Controller
:(32902:9294:4136:1081) pci, None, PCI/PCI, 82801 PCI Bridge
:(4332:33128:4136:1081) pci, r8169, ETHERNET, RTL8111/8168B PCI Express Gigabit Ethernet controller
:(32902:14900:4136:1081) pci, uhci_hcd, USB, 82801JI (ICH10 Family) USB UHCI Controller #1
:(32902:14903:4136:1081) pci, uhci_hcd, USB, 82801JI (ICH10 Family) USB UHCI Controller #4
:(32902:14904:4136:1081) pci, uhci_hcd, USB, 82801JI (ICH10 Family) USB UHCI Controller #5
:(32902:11808:4136:1081) pci, None, HOST/PCI, 4 Series Chipset DRAM Controller
:(32902:11809:4136:1081) pci, pcieport, PCI/PCI, 4 Series Chipset PCI Express Root Port
:(4098:43608:4163:43608) pci, snd_hda_intel, MULTIMEDIA, Juniper HDMI Audio [Radeon HD 5700 Series]
:(32902:14906:4136:1081) pci, ehci_hcd, USB, 82801JI (ICH10 Family) USB2 EHCI Controller #1
:(32902:14908:4136:1081) pci, ehci_hcd, USB, 82801JI (ICH10 Family) USB2 EHCI Controller #2
:
:
:Filesystem Information
:=================================
:device mtpt type bsize frsize blocks bfree bavail file ffree favail
:-------------------------------------------------------------------
:/dev/mapper/vg_illuminatus--1-lv_root / ext4 4096 4096 12818881 9698395 9056143 3211264 2805051 2805051
:/dev/sdb5 /boot ext4 1024 1024 508644 421893 396293 128016 127668 127668
:/dev/mapper/vg_illuminatus--1-lv_home /home ext4 4096 4096 6404571 6253816 5932690 1605632 1604788 1604788
:

var_log_messages:
:Jul  3 16:42:27 Illuminatus-1 gnome-session[1265]: DEBUG(+): GsmUtil: Looking for file 'gnome-settings-daemon.desktop'
:Jul  3 16:42:27 Illuminatus-1 gnome-session[1265]: DEBUG(+): GsmUtil: found in XDG dirs: '/etc/xdg/autostart/gnome-settings-daemon.desktop'
:Jul  3 16:42:27 Illuminatus-1 gnome-session[1265]: DEBUG(+): GsmUtil: Looking for file 'gnome-settings-daemon.desktop'
:Jul  3 16:42:27 Illuminatus-1 gnome-session[1265]: DEBUG(+): GsmUtil: found in XDG dirs: '/etc/xdg/autostart/gnome-settings-daemon.desktop'
:Jul  3 16:42:27 Illuminatus-1 gnome-session[1265]: DEBUG(+): GsmManager: read /etc/xdg/autostart/gnome-settings-daemon.desktop
:Jul  3 16:42:27 Illuminatus-1 gnome-session[1265]: DEBUG(+): GsmManager: adding required app gnome-settings-daemon.desktop
:Jul  3 16:42:27 Illuminatus-1 gnome-session[1265]: DEBUG(+): GsmManager:#011ID: /org/gnome/SessionManager/App2#011app-id:gnome-settings-daemon.desktop#011is-disabled:0#011is-conditionally-disabled:0
:Jul  3 16:42:27 Illuminatus-1 gnome-session[1265]: DEBUG(+): GsmAutostartApp: starting gnome-settings-daemon.desktop: command=/usr/libexec/gnome-settings-daemon startup-id=10b5f5737c33e898a8134135534763306400000012650001
:Jul  3 16:42:40 Illuminatus-1 gnome-session[1265]: DEBUG(+): App gnome-settings-daemon.desktop registered
:Jul  3 17:15:10 Illuminatus-1 yum[2597]: Updated: gnome-settings-daemon-3.4.2-3.fc17.x86_64
:Jul  4 09:09:43 Illuminatus-1 abrt[2615]: Saved core dump of pid 1520 (/usr/libexec/gnome-settings-daemon) to /var/spool/abrt/ccpp-2012-07-04-09:09:43-1520 (71372800 bytes)
:Jul  4 09:09:43 Illuminatus-1 gnome-session[1340]: WARNING: Application 'gnome-settings-daemon.desktop' killed by signal 11

xsession_errors:
:(gnome-settings-daemon:1520): power-plugin-WARNING **: Failed set DPMS mode: Could not change DPMS mode
:(gnome-settings-daemon:1520): power-plugin-WARNING **: Failed set DPMS mode: Could not change DPMS mode
:gnome-session[1340]: WARNING: Application 'gnome-settings-daemon.desktop' killed by signal 11
:** (gnome-settings-daemon:2617): WARNING **: Name taken or bus went away - shutting down
Comment 1 D. Charles Pyle 2012-07-04 11:20:41 EDT
Created attachment 596241 [details]
File: backtrace
Comment 2 D. Charles Pyle 2012-07-04 11:20:43 EDT
Created attachment 596242 [details]
File: maps
Comment 3 D. Charles Pyle 2012-07-04 11:20:44 EDT
Created attachment 596243 [details]
File: dso_list
Comment 4 D. Charles Pyle 2012-07-04 11:20:46 EDT
Created attachment 596244 [details]
File: build_ids
Comment 5 D. Charles Pyle 2012-08-07 22:57:43 EDT
I think I found the potential cause of this error in my case. It looks like an interaction with the cx18 driver, the same one involving crashes with User Accounts and Cheese.

If the firmware package (cx18-firmware-20080628-5) is installed, Cheese and User Accounts won't run. They both slam the hard drive, run CPU up to 100%, and fill memory to capacity before being killed automatically by the system.

If I remove the firmware package, Cheese works and User Accounts works. However, I get the above error and repeated crashes of gnome-settings-daemon, which prevents me from staying logged on to a Cinnamon session and causes all sorts of errors and other strange behavior in a gnome shell session such as removal of the battery status icon.
Comment 6 Fedora End Of Life 2013-07-03 16:38:14 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 7 Fedora End Of Life 2013-07-31 16:48:50 EDT
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.